@import "vendor/bootstrap/bootstrap/variables";
@import "vendor/bootstrap/bootstrap/media";
@import "vendor/bourbon/bourbon";
@import "variables";
@import "typography";
@import "components/flex-row";
@import "components/simple-hero";
@import "components/large-fonts";
@import "components/blockquote";
@import "components/resource-block";
@import "svg-helpers";
@import "feature-group";
@import "utility-classes";

@function get_sibling_selector($base_selector, $quantity) {
  $selector: $base_selector;
  @for $_ from 1 through $quantity {
    $selector: $selector + " + " + $base_selector;
  }
  @return $selector;
}

$use_case_collapsed_selector: ".use-case-collapsed + .sub-use-case-row, ";
@for $i from 1 through 20 {
  $use_case_collapsed_selector: $use_case_collapsed_selector + ".use-case-collapsed + " + get_sibling_selector(".sub-use-case-row", $i) + ", ";
}

$rhombus-size: 38px;

body {
  background: rgba(77, 88, 167, 0.2);
}

.padding0 {
  padding: 0;
}

.blank-header {
  padding: 40px 20px 190px;
  background: linear-gradient(90deg, #e24329 0%, #380d75 63.02%);
  flex-direction: column;
  z-index: -1;

  .image-border {
    opacity: 1;
    height: unset;
    min-height: unset;
  }

  .wave-image {
    top: 120px;
    right: 0;
  }

  .header-content {
    font-weight: bold;
    font-size: 63px;
    line-height: 79px;
    text-align: center;
    flex-direction: row;
    margin: 0;
    width: 100%;

    .tool-name {
      width: 40%;
      min-width: 40%;
      max-width: 40%;
      text-align: right;
    }

    .vs-wrapper + .tool-name {
      text-align: left;
    }
  }

  .subtitle {
    font-style: italic;
    font-weight: normal;
    font-size: 44px;
    line-height: 55px;
    margin: 0;
  }

  .accelerated-img {
    width: 98px;
    height: 30px;
    margin-right: 20px;
  }

  .conducted-by {
    font-family: Roboto;
    font-style: normal;
    font-weight: normal;
    font-size: 13px;
    line-height: 20px;
  }
}

.row {
  flex-direction: row;
  display: flex;
  align-items: center;
}

.column {
  display: flex;
  align-items: center;
  flex-direction: column;
}

.align-start {
  align-items: flex-start;
}

.flex1 {
  flex: 1;
}

.vs-wrapper {
  display: flex;
  margin: 28px;
  padding: 0;
  max-width: 60px;
  max-height: 60px;

  div {
    margin: 0;
  }

  .red-color {
    background: #e24329;
    z-index: 100;
  }

  .white-color {
    background: #ffffff;
    z-index: -1;
    margin-left: -30px;
  }

  .rhombus-shape {
    transform: rotate(-45deg);
    max-width: $rhombus-size;
    max-height: $rhombus-size;
    min-width: $rhombus-size;
    min-height: $rhombus-size;
    margin-top: 2px;
  }

  .vs-text {
    font-size: 30px;
    line-height: 38px;
    align-items: center;
    text-align: center;
    align-content: center;
    justify-content: center;
    padding: 0;
    z-index: 1000;
    margin-left: -33px;
  }
}

.container {
  margin: 0px auto;
  padding: 0;
}

.comparison-container {
  margin-top: -80px;
  display: flex;
  z-index: 1;
}

table thead,
table tbody tr {
  display: table;
  width: 100%;
  table-layout: fixed;
}

.compare-table {
  padding: 30px 0 0;
  border-width: 0px;

  tr {
    border-width: 0px;
  }

  tbody {
    max-height: 600px;
    overflow-y: scroll;
    display: block;
  }

  tbody tr {
    border-top: 1px solid #dddddd;
    border-bottom: 1px solid #dddddd;
  }

  th {
    border-width: 0px;
    padding: 30px 10px;
    vertical-align: middle;
    transition: padding 0.5s;
  }

  td {
    border-width: 0px;
    padding: 10px;

    align-content: center;
  }

  .table-title {
    font-family: Roboto;
    font-style: normal;
    font-weight: bold;
    font-size: 28px;
    line-height: 33px;
    color: $color-black;
    padding: 0 50px;

    .table-title-details {
      font-family: Source Sans Pro;
      font-style: normal;
      font-weight: normal;
      font-size: 15px;
      line-height: 20px;
    }
  }

  .table-title-logo {
    color: $text-color-light;
    display: flex;
    flex-direction: column;
    transition: flex-direction 0.5s;
  }

  .logo {
    height: 50px;
    width: auto;
    align-self: baseline;
    margin-right: 20px;
    transition: display 0.5s;

    @media (max-width: $screen-sm-max) {
      height: 26px;
    }
  }

  &.scroll {
    th {
      padding: 20px 20px;
      border-bottom: 1px solid #dddddd;
    }

    .table-title {
      padding: 0 50px;
    }

    .table-title-logo {
      flex-direction: row;
    }

    .table-title-details {
      display: none;
    }
  }

  .row {
    padding-left: 15px;
    padding-right: 15px;
  }

  .use-case-row {
    background-color: #eeeeee;

    .toggle-use-case {
      width: 14px;
      height: 14px;
      background-size: 14px 14px;
      margin-right: 8px;
    }

    td:first-child {
      margin: 0;
      padding-left: 24px;
      font-family: Source Sans Pro;
      font-style: normal;
      font-weight: bold;
      font-size: 18px;
      line-height: 23px;
    }
  }

  .use-case-expanded .toggle-use-case,
  .sub-use-case-expanded .toggle-sub-use-case {
    background-image: url("/images/devops-tools/comparison_table_collapse.png");
  }

  .use-case-collapsed .toggle-use-case,
  .sub-use-case-collapsed .toggle-sub-use-case {
    background-image: url("/images/devops-tools/comparison_table_expand.png");
  }

  .use-case-expanded .toggle-use-case,
  .sub-use-case-expanded .toggle-sub-use-case,
  .use-case-collapsed .toggle-use-case,
  .sub-use-case-collapsed .toggle-sub-use-case {
    background-position: center;
    background-repeat: no-repeat;
    margin-top: 2px;
  }

  .sub-use-case-expanded .product-use-case-summary {
    opacity: 0;
  }

  #{$use_case_collapsed_selector} .sub-use-case-collapsed .sub-use-case-extra {
    visibility: collapse;
    display: none;
    opacity: 0;
  }

  #{$use_case_collapsed_selector} .sub-use-case-expanded .sub-use-case-extra {
    visibility: visible;
    opacity: 1;
  }

  .sub-use-case-row {
    background-color: #ffffff;

    .toggle-sub-use-case {
      width: 11px;
      height: 11px;
      background-size: 11px 11px;
      margin-right: 8px;
      margin-bottom: 2px;
    }

    td .column,
    .align-left {
      align-items: flex-start;
    }

    td:first-child {
      margin: 0;
      padding: 20px 0 20px 48px;
      font-family: Source Sans Pro;
      font-style: normal;
      font-weight: normal;
      font-size: 14px;
      line-height: 18px;

      .sub-use-case-extra {
        margin-top: 2px;
      }
    }

    .sub-use-case-extra {
      font-family: Source Sans Pro;
      font-style: normal;
      font-weight: normal;
      font-size: 12px;
      line-height: 16px;
      color: #000;
      padding-top: 10px;
      padding-left: 19px;
      padding-right: 20px;
      transition: opacity 1s;
      transition-delay: 1s;
    }

    .align-with-title {
      padding-left: 130px;
    }
  }

  .product-use-case-cell {
    margin: 0;
    display: flex;
    flex-direction: row;
  }

  .product-use-case-title {
    font-style: normal;
    font-weight: bold;
    font-size: 12px;
    line-height: 15px;
  }

  .product-use-case-summary {
    font-style: normal;
    font-weight: normal;
    font-size: 12px;
    line-height: 15px;
    max-height: 15px;
    overflow: hidden;
    align-self: column;
    opacity: 1;
  }
}

thead .score-box {
  width: 160px;
  min-width: 160px;
  max-width: 160px;
  height: 27px;
  min-height: 27px;
  max-height: 27px;
}

tbody .score-box {
  width: 110px;
  min-width: 110px;
  max-width: 110px;
  height: 20px;
  min-height: 20px;
  max-height: 20px;
  margin-right: 20px;
}

.score-box {
  flex-direction: row;
  display: flex;
  align-items: center;
  font-family: Roboto;
  font-style: normal;
  font-weight: bold;
  font-size: 12px;
  line-height: 14px;
  color: $color-white;
  padding: 0;

  .left-rounded {
    border-top-left-radius: 4px;
    border-bottom-left-radius: 4px;
    min-height: 100%;
  }

  .left-flat {
    border-top-left-radius: 0px;
    border-bottom-left-radius: 0px;
  }

  .right-rounded {
    border-top-right-radius: 4px;
    border-bottom-right-radius: 4px;
    min-height: 100%;
  }

  .right-flat {
    border-top-right-radius: 0px;
    border-bottom-right-radius: 0px;
  }

  .text {
    padding: 6px 10px;
    min-height: 100%;
    overflow: visible;
  }

  .green-bar {
    background: #05a11e;
    border: 0px;
  }

  .orange-bar {
    background: #f2994a;
    border: 0px;
  }

  .red-bar {
    background: #eb5757;
    border: 0px;
  }

  .gray-bar {
    background: #eeeeee;
    border: 1px solid #dddddd;
  }

  .not-supported-bar {
    background-image: linear-gradient(
      135deg,
      #eeeeee 25%,
      #cccccc 25%,
      #cccccc 50%,
      #eeeeee 50%,
      #eeeeee 75%,
      #cccccc 75%,
      #cccccc 100%
    );
    background-size: 5.66px 5.66px;
    border: 1px solid #dddddd;
  }
}

.top-border {
  border-top: 1px solid #dddd;
}

.blue-text {
  color: #19237b;
}

.comparison-download-btn {
  background: #fc6d26;
  display: inline-block;
  padding: 4px 40px;
  border-radius: 4px;
  font-family: Source Sans Pro;
  font-style: normal;
  font-weight: bold;
  font-size: 20px;
  line-height: 48px;
  text-align: center;
  letter-spacing: -0.02em;
  color: #ffffff;

  &.shadow {
    box-shadow: 4px 4px #380d75;
  }
}

.f4-bg {
  background: #f4f4f4;
}

.padding-left20 {
  padding-left: 20px;
}

.padding-left40 {
  padding-left: 40px;
}

.padding-right40 {
  padding-right: 40px;
}

.padding-vertical60 {
  padding-top: 60px;
  padding-bottom: 60px;
}

.padding-vertical20 {
  padding-top: 20px;
  padding-bottom: 20px;
}

.padding-vertical0 {
  padding-top: 0px;
  padding-bottom: 0px;
}

.recommendation {
  background-image: linear-gradient(285deg, #ffffff 45%, transparent 0px);
  background-color: #f4f4f4;
  font-family: Source Sans Pro;

  &.no-avatar {
    background-image: linear-gradient(285deg, #ffffff 50%, transparent 0px);
  }

  .recommendation-bg {
    border-bottom-right-radius: 20px;
  }

  > div {
    min-height: 100%;
  }

  .avatar {
    width: 115px;
    height: 115px;
    min-width: 115px;
    min-height: 115px;
    border-radius: 50%;
    margin-top: 40px;
  }

  .quote-text {
    font-style: italic;
    font-weight: normal;
    font-size: 110px;
    line-height: 48px;
    letter-spacing: -0.02em;
    color: rgba(162, 162, 162, 0.4);
  }

  .accelerated-img {
    width: 161px;
    height: 49px;
  }

  .title {
    font-style: normal;
    font-weight: bold;
    font-size: 30px;
    line-height: 37px;
    letter-spacing: -0.02em;
    color: #19237b;
  }

  .text-highlight {
    font-style: normal;
    font-weight: bold;
    font-size: 22px;
    line-height: 27px;
    color: #19237b;
  }

  .text {
    font-style: normal;
    font-weight: normal;
    font-size: 22px;
    line-height: 27px;
    color: #666666;
  }

  .autor {
    font-family: Source Sans Pro;
    font-style: normal;
    font-weight: bold;
    font-size: 22px;
    line-height: 30px;
    color: #666666;
  }
}

.vertical-align-middle {
  vertical-align: middle;
}

.advantage {
  font-family: Source Sans Pro;
  font-style: normal;
  text-align: center;
  letter-spacing: -0.02em;

  .item {
    padding: 20px 20px 0;
    flex: 1;

    .title {
      font-size: 24px;
      line-height: 30px;
    }

    .description {
      font-size: 18px;
      line-height: 24px;
    }
  }
}

.title {
  font-weight: bold;
  font-size: 36px;
  line-height: 44px;
  color: #2c3038;
  padding-top: 10px;
}

.description {
  font-weight: normal;
  font-size: 22px;
  line-height: 44px;
  color: #777777;
  display: block;
  padding-top: 10px;
}

.opacity05 {
  opacity: 0.5;
}

.gray-bg {
  background-color: #eeeeee;
}

.webinar-button {
  background: #380d75;
  border-radius: 3px;
  font-family: Source Sans Pro;
  font-style: normal;
  font-weight: bold;
  font-size: 20px;
  line-height: 30px;
  display: flex;
  align-items: center;
  text-align: center;
  color: #ffffff;
  padding: 10px 30px;
}

.read-more {
  font-family: Source Sans Pro;
  font-style: normal;
  font-weight: bold;
  font-size: 24px;
  line-height: 44px;
  text-align: center;
  letter-spacing: -0.02em;
  color: #554488;
}

.image-border {
  opacity: 1;
}

.footer-container {
  background-color: #380d75;
  font-family: Source Sans Pro;
  font-style: normal;
  font-weight: bold;

  .row {
    margin-left: 0;
    margin-right: 0;
  }

  .image-border {
    position: absolute;
    margin-top: 20px;
  }

  .image-border-left {
    left: 0;
  }

  .image-border-right {
    right: 0;
  }

  .text {
    font-size: 26px;
    line-height: 33px;
    color: #ffffff;
  }

  .button {
    font-size: 20px;
    line-height: 30px;
    display: flex;
    align-items: center;
    text-align: center;
    color: #ffffff;
    padding: 10px 30px;
    background: #fc6d26;
    border-radius: 3px;
    margin-left: 30px;
  }
}

.fixed {
  position: sticky;
  bottom: 0;
  z-index: 100;
}
